
  
<ul class="heroes">
    <li *ngFor="let hero of listHero">
      <a routerLink="/details/{{hero.id}}">
        <span class="badge">{{hero.id}}</span>{{hero.name}}
      </a>
      <button class="delete" title="delete hero"
              (click)="delete(hero)">x
      </button>
    </li>
  </ul>

  <app-heroes-add></app-heroes-add>

  

